<?php
/*  Copyright
	2010 Juergen Schulze
	and 2006 Vincent Prat

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	
Administrator > Administrator (Benutzerlevel 10)
Editor > Redakteur (Benutzerlevel 7)
Author > Autor (Benutzerlevel 2)
Contributor > Mitarbeiter (Benutzerlevel 1)
Subscriber > Abonnent (Benutzerlevel 0)	
	
	
	*/
?>

<?php 
	if (!current_user_can(EMU2_EXPORT_LIST_CAP) ) {		
		#wp_die(__("You are not allowed to export address lists.", EMU2_I18N_DOMAIN));
		print "<br />".__("You are not allowed to export address lists.", EMU2_I18N_DOMAIN);
		$allowed=false;
	} else {
		$allowed=true;
	}
?>

<?php if ($allowed) { ?>
<div class="wrap">

	<h2><?php _e('Export a list', EMU2_I18N_DOMAIN); ?></h2>
	<br/>
	<p><?php _e('Press on a role identifier to export a csv file.', EMU2_I18N_DOMAIN); ?></p>
	
	
	<?php
		$send_roles=array();
		$roles = EMU2_get_roles($user_ID, EMU2_ACCEPT_MASS_EMAIL_USER_META);
		foreach ($roles as $key => $value) {
	
			print '<a href="'.plugins_url('emu2-email-users-2').'/emu2_download.php?action='.$value.'&check='.get_option( 'EMU2_check' ).'">'.translate_user_role($value).'</a><br/>';
		}
	?>					

	<a href="<?php print plugins_url('emu2-email-users-2');?>/emu2_download.php?action=all"><?php _e('All', EMU2_I18N_DOMAIN); ?></a><br/>



</div>
		
	
<?php } ?>